name: NGINX deployment
services:
  nginx-deployment:
    name: nginx-deployment
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    labels:
      app: nginxdeployment
    settings:
      spec:
        replicas: 2
        selector:
          match Labels:
            app: nginxdeployment
        template:
          metadata:
            labels:
              app: nginxdeployment
          spec:
            containers:
            - image: nginx:latest
              name: nginxdeployment
              ports:
              - container Port: 80
                protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: 9664655c-768e-49dc-bb51-1aac33ce45c7
            metadata:
              port: 80
              protocol: TCP
            source: e26658d7-2434-4de8-937d-ec1f9528c68f
            subType: Network
            target: 6b4424c9-4ed7-4c9c-837b-5e6ac754cf6f
          style:
            curve-style:
              name: curve-style
              strValue: bezier
              value: bezier
            font-family:
              name: font-family
              strValue: Qanelas Soft, sans-serif
              value:
              - Qanelas Soft, sans-serif
              - Qanelas Soft, sans-serif
            font-size:
              name: font-size
              pfValue: 6
              strValue: 6px
              units: px
              value: 6
            line-color:
              mapping:
                mapped:
                  fn: true
                  mapping: true
                name: line-color
                prevFnValue: '#7aa1f0'
                strValue: fn
              name: line-color
              pfValue:
              - 122
              - 161
              - 240
              strValue: rgb(122,161,240)
              value:
              - 122
              - 161
              - 240
            line-style:
              name: line-style
              strValue: dotted
              value: dotted
            target-arrow-shape:
              name: target-arrow-shape
              strValue: vee
              value: vee
            text-events:
              name: text-events
              strValue: "yes"
              value: "yes"
            text-outline-color:
              name: text-outline-color
              pfValue:
              - 255
              - 255
              - 255
              strValue: rgb(255,255,255)
              value:
              - 255
              - 255
              - 255
            text-outline-width:
              name: text-outline-width
              pfValue: 1
              strValue: 1px
              units: px
              value: 1
            text-wrap:
              name: text-wrap
              strValue: wrap
              value: wrap
            width:
              name: width
              pfValue: 1.5
              strValue: 1.5px
              units: px
              value: 1.5
            z-index:
              name: z-index
              pfValue: 999
              strValue: "999"
              value: 999
            z-index-compare:
              name: z-index-compare
              strValue: manual
              value: manual
        id: 6b4424c9-4ed7-4c9c-837b-5e6ac754cf6f
        label: nginx-deployment
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: true
          logoURL: Created by leecalcote
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          styleOverrides: '{"background-image":"none","border-width":2,"background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
        position:
          posX: 225.72576362537242
          posY: 148.309779310478
        whiteboardData: {}
  nginxservice:
    name: nginxservice
    type: Service
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        ports:
        - port: 80
          protocol: TCP
        selector:
          app: nginxdeployment
        type: LoadBalancer
    traits:
      meshmap:
        edges:
        - data:
            id: 9664655c-768e-49dc-bb51-1aac33ce45c7
            metadata:
              port: 80
              protocol: TCP
            source: e26658d7-2434-4de8-937d-ec1f9528c68f
            subType: Network
            target: 6b4424c9-4ed7-4c9c-837b-5e6ac754cf6f
          style:
            curve-style:
              name: curve-style
              strValue: bezier
              value: bezier
            font-family:
              name: font-family
              strValue: Qanelas Soft, sans-serif
              value:
              - Qanelas Soft, sans-serif
              - Qanelas Soft, sans-serif
            font-size:
              name: font-size
              pfValue: 6
              strValue: 6px
              units: px
              value: 6
            line-color:
              mapping:
                mapped:
                  fn: true
                  mapping: true
                name: line-color
                prevFnValue: '#7aa1f0'
                strValue: fn
              name: line-color
              pfValue:
              - 122
              - 161
              - 240
              strValue: rgb(122,161,240)
              value:
              - 122
              - 161
              - 240
            line-style:
              name: line-style
              strValue: dotted
              value: dotted
            target-arrow-shape:
              name: target-arrow-shape
              strValue: vee
              value: vee
            text-events:
              name: text-events
              strValue: "yes"
              value: "yes"
            text-outline-color:
              name: text-outline-color
              pfValue:
              - 255
              - 255
              - 255
              strValue: rgb(255,255,255)
              value:
              - 255
              - 255
              - 255
            text-outline-width:
              name: text-outline-width
              pfValue: 1
              strValue: 1px
              units: px
              value: 1
            text-wrap:
              name: text-wrap
              strValue: wrap
              value: wrap
            width:
              name: width
              pfValue: 1.5
              strValue: 1.5px
              units: px
              value: 1.5
            z-index:
              name: z-index
              pfValue: 999
              strValue: "999"
              value: 999
            z-index-compare:
              name: z-index-compare
              strValue: manual
              value: manual
        id: e26658d7-2434-4de8-937d-ec1f9528c68f
        label: nginxservice
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          displayhostname: ""
          hostID: 00000000-0000-0000-0000-000000000000
          hostname: ""
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides: '{"height":20,"width":20,"padding":12,"background-fit":"none","background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
        position:
          posX: 321.28805984439487
          posY: 143.06124347129222
        whiteboardData:
          style:
            z-index: 4
